Package: icecc
Version: 0.9.6-1
Severity: important

Hi,

when trying to compile (g++-4.6) with icecc i get the following error:
 g++: fatal error: -fuse-linker-plugin, but liblto_plugin.so not found

seems to me that the liblto_plugin.so plugin is not included in the archive. 
If i call icecc with build-native, it is not included in the resulting 
environment

There seems to be a patch at:
https://aur.archlinux.org/packages.php?ID=7111
which should also be included upstream. But for me the patch did not work. I 
guess because

 /usr/bin/gcc-4.6 -print-prog-name=liblto_plugin.so

just returns liblto_plugin.so without any path.

Regards,
Jan


-- System Information:
Debian Release: wheezy/sid
  APT prefers oldstable
  APT policy: (500, 'oldstable'), (500, 'testing'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.38-2-amd64 (SMP w/8 CPU cores)
Locale: LANG=de_DE.utf8, LC_CTYPE=de_DE.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages icecc depends on:
ii  adduser                       3.112+nmu2 add and remove users and groups
ii  debconf [debconf-2.0]         1.5.39     Debian configuration management sy
ii  dpkg                          1.16.0.3   Debian package management system
ii  g++ [c++-compiler]            4:4.6.0-5  The GNU C++ compiler
ii  g++-4.3 [c++-compiler]        4.3.5-5    The GNU C++ compiler
ii  g++-4.4 [c++-compiler]        4.4.6-3    The GNU C++ compiler
ii  g++-4.5 [c++-compiler]        4.5.3-1    The GNU C++ compiler
ii  g++-4.6 [c++-compiler]        4.6.0-10   The GNU C++ compiler
ii  gcc [c-compiler]              4:4.6.0-5  The GNU C compiler
ii  gcc-4.3 [c-compiler]          4.3.5-5    The GNU C compiler
ii  gcc-4.4 [c-compiler]          4.4.6-3    The GNU C compiler
ii  gcc-4.5 [c-compiler]          4.5.3-1    The GNU C compiler
ii  gcc-4.6 [c-compiler]          4.6.0-10   The GNU C compiler
ii  libc6                         2.13-4     Embedded GNU C Library: Shared lib
ii  libgcc1                       1:4.6.0-10 GCC support library
ii  libstdc++6                    4.6.0-10   The GNU Standard C++ Library v3
ii  lsb-base                      3.2-27     Linux Standard Base 3.2 init scrip

icecc recommends no packages.

Versions of packages icecc suggests:
ii  icecc-monitor         2.0~svn951472-2+b1 icecc monitor for KDE

-- Configuration Files:
/etc/default/icecc changed [not included]

-- debconf information:
  icecc/daemon: true
  icecc/scheduler: false



_______________________________________________
pkg-kde-extras mailing list
pkg-kde-extras@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-kde-extras

Reply via email to